Create a new Clickhouse database.
Authorization
bearerAuth Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.
In: header
Request Body
application/json
Database data
TypeScript Definitions
Use the request body type in TypeScript.
UUID of the server
UUID of the project
Name of the environment. You need to provide at least one of environment_name or environment_uuid.
UUID of the environment. You need to provide at least one of environment_name or environment_uuid.
UUID of the destination if the server has multiple destinations
Clickhouse admin user
Clickhouse admin password
Name of the database
Description of the database
Docker Image of the database
Is the database public?
Public port of the database
Memory limit of the database
Memory swap limit of the database
Memory swappiness of the database
Memory reservation of the database
CPU limit of the database
CPU set of the database
CPU shares of the database
Instant deploy the database
Response Body
application/json
application/json
application/json
curl -X POST "https://app.coolify.io/api/v1/databases/clickhouse" \ -H "Content-Type: application/json" \ -d '{ "server_uuid": "string", "project_uuid": "string", "environment_name": "string", "environment_uuid": "string" }'{ "message": "Invalid token."}{ "message": "Unauthenticated."}{ "message": "Validation error.", "errors": { "name": [ "The name field is required." ], "api_url": [ "The api url field is required.", "The api url format is invalid." ] }}